
QGIS Application - Bug report #17760

Pasting from one table to another causes crash (2.18.15)

2017-12-30 08:24 AM - Patrick Dunford

Status: Closed

Priority: High

Assignee:

Category: GUI

Affected QGIS version:2.18.14 Regression?: No

Operating System: Debian 9 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 25656

Description

Sample data and test case coming.

History

#1 - 2017-12-30 08:31 AM - Patrick Dunford

So far I can't make it crash with a new project, only an existing one. Will try a copy of the existing one.

#2 - 2017-12-30 08:37 AM - Patrick Dunford

- File 17760.7z added

Attached sample data

Open the table OSAllYards

Select all the records

Copy

Open the table osYards

put the table in edit mode

paste

#3 - 2018-02-22 07:43 PM - Giovanni Manghi

- Priority changed from Normal to High

#4 - 2018-10-24 08:39 AM - Hugo Mercier

- Resolution set to not reproducable

Can't reproduce on 2.18.16 / linux.

Can't reproduce on 3.3.0

#5 - 2018-10-24 10:42 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Resolution deleted (not reproducable)
#6 - 2019-01-21 12:34 AM - Jürgen Fischer

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#7 - 2019-01-22 02:19 PM - salvatore fiandaca

I just did a test using the attached data:

I copied some features from one table and pasted into the other, everything works fine.

test performed in win 10 64 b - OSGeo4W - QGIS 2.18.28 and QGIS 3.4.4

#8 - 2019-01-22 02:36 PM - Jürgen Fischer

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

Files

17760.7z 113 KB 2017-12-30 Patrick Dunford

2024-03-13 2/2


